#ifndef MSTRING_H_
#define MSTRING_H_

class MString
{
	public:
		MString(unsigned int length);
		MString(const char *tempString);
		MString(char tempChar, unsigned int length = 1);
		MString(const MString &oldString);

		MString & operator=(const MString &othString);
		MString & operator+=(const MString &othString);
		
		char & operator[](const unsigned int index);
		bool operator==(const MString &othString);
		friend MString operator+(const MString &firstString,const MString &secString);
		
		inline unsigned int length() const
		{
			return len;
		}

		inline unsigned int capacity() const
		{
			return maxlen;
		}

		void conOut() const;

		char *get() const
		{
			return cp;
		}

		virtual ~MString();

	private:
		char *cp;
		unsigned int len;
		unsigned int maxlen;
};

#endif /* MSTRING_H_ */
